# coding=utf-8
"""
Django settings for geoserver project.

Generated by 'django-admin startproject' using Django 2.2.5.

For more information on this file, see
https://docs.djangoproject.com/en/2.2/topics/settings/

For the full list of settings and their values, see
https://docs.djangoproject.com/en/2.2/ref/settings/
"""

import os
import socket
import helios
import helios.rpc
# Build paths inside the project like this: os.path.join(BASE_DIR, ...)
BASE_DIR = os.path.dirname(os.path.dirname(os.path.abspath(__file__)))


# Quick-start development settings - unsuitable for production
# See https://docs.djangoproject.com/en/2.2/howto/deployment/checklist/

# SECURITY WARNING: keep the secret key used in production secret!
SECRET_KEY = 't&@8d5g(i!ka$7*r=&e@#lfv@wi-q0xawn^#_f^q0w$ly)tcnm'
# SECURITY WARNING: don't run with debug turned on in production!
DEBUG = False

ALLOWED_HOSTS = ["*"]

RPC_INVOKER = helios.rpc.create_default_invoker(debug=DEBUG)

#*********************************************Redis Config******************************
REDIS_HOST="172.17.40.145"
REDIS_PASSWORD="zi1jlhVHtH8MGNqB"
REDIS_PORT=6379
REDIS_DB=7



#***************************************************************************************
QQ_MAP_KEYS = [
    'QVMBZ-KZFRJ-VQ5F6-FMJIJ-SCJN6-WNFFS',
    '2RJBZ-EWTW3-ANB3A-3O6KS-SDYRK-EQFFO',
    '2LZBZ-K353F-ZQKJG-JGT7Z-PQYD2-YVBLE',
    'D7FBZ-SRGKG-AU3QI-IGMXR-63EU3-3PBOA',
    'H52BZ-JH2WX-EAB4T-TXW23-SNBLQ-GNFNQ',
    'RL2BZ-CASW3-MJ53C-3JCUR-IEGRO-TABLU',
    'NJIBZ-L2H3U-ZWLV6-4W3PK-H7DFF-OSFUM',
    'ZOBBZ-FP2WX-CA74G-TZC24-MPSL7-22BD4',
    'TENBZ-AZ53P-JRTDP-LUIQ2-KNVE6-XNF4X',
    'L7GBZ-JKMWP-HKJDV-LQPEC-QQ2M7-D6BAT',
]

# Application definition

INSTALLED_APPS = [
    'django.contrib.admin',
    'django.contrib.auth',
    'django.contrib.contenttypes',
    'django.contrib.sessions',
    'django.contrib.messages',
    'django.contrib.staticfiles',
    'home'
]

MIDDLEWARE = [
    'django.middleware.security.SecurityMiddleware',
    'django.contrib.sessions.middleware.SessionMiddleware',
    'django.middleware.common.CommonMiddleware',
    'django.middleware.csrf.CsrfViewMiddleware',
    'django.contrib.auth.middleware.AuthenticationMiddleware',
    'django.contrib.messages.middleware.MessageMiddleware',
    'django.middleware.clickjacking.XFrameOptionsMiddleware',
]

ROOT_URLCONF = 'geoserver.urls'

TEMPLATES = [
    {
        'BACKEND': 'django.template.backends.django.DjangoTemplates',
        'DIRS': [],
        'APP_DIRS': True,
        'OPTIONS': {
            'context_processors': [
                'django.template.context_processors.debug',
                'django.template.context_processors.request',
                'django.contrib.auth.context_processors.auth',
                'django.contrib.messages.context_processors.messages',
            ],
        },
    },
]

WSGI_APPLICATION = 'geoserver.wsgi.application'


# Database
# https://docs.djangoproject.com/en/2.2/ref/settings/#databases

DATABASES = {
    'default': {
        'ENGINE': 'django.db.backends.sqlite3',
        'NAME': os.path.join(BASE_DIR, 'db.sqlite3'),
    }
}


# Password validation
# https://docs.djangoproject.com/en/2.2/ref/settings/#auth-password-validators

AUTH_PASSWORD_VALIDATORS = [
    {
        'NAME': 'django.contrib.auth.password_validation.UserAttributeSimilarityValidator',
    },
    {
        'NAME': 'django.contrib.auth.password_validation.MinimumLengthValidator',
    },
    {
        'NAME': 'django.contrib.auth.password_validation.CommonPasswordValidator',
    },
    {
        'NAME': 'django.contrib.auth.password_validation.NumericPasswordValidator',
    },
]


# Internationalization
# https://docs.djangoproject.com/en/2.2/topics/i18n/

LANGUAGE_CODE = 'en-us'

TIME_ZONE = 'UTC'

USE_I18N = True

USE_L10N = True

USE_TZ = True


# Static files (CSS, JavaScript, Images)
# https://docs.djangoproject.com/en/2.2/howto/static-files/

STATIC_URL = '/static/'

# RPC_URL = 'http://rpc.test.gengmei.cc/api/'
# RPC_URL = 'http://rpc.test.gengmei.cc/api/'
# RPC_SECRET = 'basic:6o9sVEB6+H5U61rfZpVMioWcRRoU32uazNE3h18kwcAqOMPVdjmvQ72XxZVNLNl6RSACrgLeD7xrKYsxL1iZ6A=='
# RPC_INVOKER = helios.rpc.RPCFactory(RPC_URL, RPC_SECRET, debug=DEBUG, debug_unwrap_checker_raise_exception=False,
#                                     debug_dump_curl=True, use_batch=False).create_invoker()

#RPC_INVOKER = helios.rpc.create_default_invoker(debug=DEBUG)


#如果是我的电脑就加载本地配置文件
from .settings_local import *